*{
    margin: 0;
    padding: 0;
}
.invoice-main{
    display: flex;
    min-height: 100vh;
    align-items: center;
    justify-content: center;
    background-color: #f6e84d;
}
.invoice-wrapper{
    display: flex;
    align-items: center;
    justify-content: space-between
}
.common-segment{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
}
.inner-wrapper{
    border-radius: 0.5rem;
    max-width: 28rem;
    width: 100%;
    padding: 2rem;
    background-color: rgb(243 232 255);
    opacity: .5;
}

body {
    font-family: Arial, sans-serif;
}

.main {
    margin: 0 auto;
}

.logo-img {
    padding: 10px 120px;
}

.logo-img img {
    max-width: 100%;
    height: auto;
}

.invoice-container {
    margin: 0 auto;
    padding: 10px 40px;
}

.header {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
}

.company-details {
    font-size: 0.875em;
    line-height: 1.5;
}

.company-details strong {
    font-size: 1.5em;
}

.invoice-title {
    font-size: 1.5em;
    font-weight: bold;
}


.invoice-info {
    margin-top: 20px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.bill-to h4,
.invoice-info h4 {
    font-size: 1.2em;
    margin-bottom: 10px;
    font-weight: 700;
}

.bill-segment {
    margin-top: 40px;
}

.invoice-segment {
    margin-top: 40px;
}

.bill-segment h4,
.invoice-segment h4 {
    font-size: 1.2em;
    margin-bottom: 10px;
    font-weight: 700;
}

.bill-to p,
.invoice-info p {
    margin: 5px 0;
    font-size: 0.875em;
}

.place-of-supply {
    margin-top: 20px;
    font-size: 1.1em;
}

.bill-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    column-gap: 25px;
}

.gstin {
    text-align: center;
    margin-top: 20px;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    margin-bottom: 20px;
}

table,
th,
td {
    border: 1px solid black;
}

th,
td {
    padding: 8px;
    text-align: center;
    font-size: 14px;
}

.description {
    text-align: left;
    display: flex;
    gap: 10px;
    align-items: end;
    border: none;
    position: relative;
    z-index: 10;
}

.totals {
    text-align: right;
}

.bank-details {
    margin-top: 20px;
    font-size: 1em;
}

.bank-details p,
.sign-section p {
    font-size: 0.875em;
}

.sign-section {
    text-align: right;
    margin-top: 30px;
    font-size: 1em;
}

.amount-in-words {
    padding: 10px;
    border-top: 1px solid black;
}

.table-data {
    /* height: 250px; */
}

.notes {
    margin-top: 20px;
}

.notes p {
    font-size: 1em;
    font-weight: 700;
    color: gray;
    margin-bottom: 0;
}

.notes span {
    font-size: 0.875em;
}

.terms {
    margin-top: 30px;
}

.terms p {
    font-size: 1em;
    font-weight: 700;
    color: gray;
    margin-bottom: 0;
}

.terms ol {
    padding-left: 1rem;
}

.terms ol li {
    font-size: 0.875em;
}

.select-menu {
    margin: 10px auto 20px auto;
    max-width: 100%;
    width: 330px;
}

.select-menu.notes {
    margin: 0;
}

.select-menu .select-btn {
    display: flex;

    background: transparent;
    font-size: 16px;
    font-weight: 600;
    align-items: center;
    cursor: pointer;
    justify-content: space-between;
    border: 1px solid #c8c8c8;
    padding: 15px 10px;
    border-radius: 4px;
}

.select-menu .options {
    display: none;
    width: 100%;
    background: transparent;
    animation-name: fadeInDown;
    -webkit-animation-name: fadeInDown;
    animation-duration: 0.8s;
    animation-fill-mode: both;
    -webkit-animation-duration: 0.8s;
    -webkit-animation-fill-mode: both;
    margin-top: 0;
    padding-left: 0;
    border: 1px solid #c8c8c8;
    border-radius: 4px;
}

.select-menu .options .option {
    display: flex;
    cursor: pointer;
    align-items: center;
    background: transparent;
    margin-bottom: 5px;
    padding: 10px 5px;
}

.select-menu .options .option img {
    max-width: 30px;
    margin-right: 5px;
}

.select-menu .options .option:hover {
    background: #f2f2f2;
}

.select-menu .options .option.active {
    background-color: #f6e84d;
    border-radius: 5px;
}

.select-menu .options .option i {
    font-size: 20px;
    margin-right: 12px;
}

.select-menu .options .option .option-text {
    font-size: 16px;
    color: #333;
}

.select-btn i {
    font-size: 20px;
    transition: 0.3s;
    padding-left: 10px;
}

.select-menu.active .select-btn i {
    transform: rotate(-180deg);
    padding-right: 10px;
}

.select-menu.active .options {
    display: block;
    opacity: 0;
    z-index: 10;
    animation-name: fadeInUp;
    -webkit-animation-name: fadeInUp;
    animation-duration: 0.8s;
    animation-fill-mode: both;
    -webkit-animation-duration: 0.8s;
    -webkit-animation-fill-mode: both;
}

@keyframes fadeInUp {
    from {
        transform: translate3d(0, 30px, 0);
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

@keyframes fadeInDown {
    from {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }

    to {
        transform: translate3d(0, 20px, 0);
        opacity: 0;
    }
}

.enter-text-area textarea {
    border: 0 !important;
    font-size: 14px;
    border: 0;
    min-height: 75px;
    width: 100%;
    resize: none;
    padding: 0 5px;
    box-shadow: none;
    outline: none;
}

.enter-text-area button {
    border: none;
    color: #fff;
    background-color: #f6e84d;
    padding: 2px 5px;
    display: flex;
    margin: 0 auto 5px auto;
}

.__input-box {
    /* width: 100%; */
    display: block;
    margin-bottom: 20px;
    vertical-align: top;
    position: relative;
}
.__amount-box{
        width: 100%;
        display: block;
        vertical-align: top;
        position: relative;
}
.__amount-box input{
    display: block;
    padding: 15px 10px;
    font-size: 14px;
    width: 100%;
    outline: none;
    border-radius: 4px;
    background: transparent;
    border: 1px solid #c8c8c8;
}

.textareaOuter {
    border: 1px solid #c8c8c8;
    display: block;
    padding: 6px 8px;
    font-size: 14px;
    width: 330px;
    outline: none;
    border-radius: 3px;
}

.descriptionOuter{
    border: 1px solid #c8c8c8;
    display: block;
    padding: 6px 8px;
    font-size: 14px;
    width: 100%;
    outline: none;
    border-radius: 3px;
}
.descriptionOuter textarea{
    border: 0 !important;
    font-size: 14px;
    border: 0;
    min-height: 75px;
    width: 100%;
    resize: none;
    padding: 0;
    font-family: Poppins, sans-serif;
    box-shadow: none;
    outline: none;
}
.textareaOuter textarea {
    border: 0 !important;
    font-size: 14px;
    border: 0;
    min-height: 75px;
    width: 100%;
    resize: none;
    padding: 0;
    font-family: Poppins, sans-serif;
    box-shadow: none;
    outline: none;
}

.__input-box input {
    display: block;
    padding: 15px 10px;
    font-size: 14px;
    width: 330px;
    outline: none;
    border-radius: 4px;
    background: transparent;
    border: 1px solid #c8c8c8;
}

.currency-select {
    padding: 6px 12px;
    font-size: 14px;
    outline: none;
    border-radius: 4px;
    border: 1px solid #c8c8c8;
}

.select2-container {
    max-width: 300px;
    width: 100% !important;
}

.amount-data {
    width: 145px;
}

.__input-box.amount {
    margin-bottom: 0;
}

.__input-box.amount input {
    width: auto;
}

.invoice-submit {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.invoice-submit button,.preview button, .edit-preview button {
    color: #fff;
    background-color: #f6e84d;
    border-radius: 50px;
    border: none;
    padding: 10px 20px;
    font-size: 18px;
    font-weight: 700;
    width: 200px;
}

.invoice-submit button:hover, .preview button:hover, .edit-preview button:hover {
    color: #fff;
    box-shadow: 0 5px 15px rgba(246, 232, 77, 0.5);
    transition: all 0.5s ease-in-out;
    -webkit-transform: translateY(-2px);
    transform: translateY(-2px);
}

.ISD_Id {
    border-radius: 4px;
    border-right: none;
    border: 1px solid #c8c8c8;
    outline:none
}

.__input-box input.Phone_No {
    border-left: none;
    width: 228px;
}

.form_last {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    flex-wrap: wrap;
}

.bank_segment {
    flex-wrap: wrap;
}

.bank_dropdown .enter-text-area {
    padding: 0 10px;
}

.bank-data {
    border: none;
    border-bottom: 1px solid #c8c8c8;
    width: 100%;
    margin-bottom: 10px;
    padding: 0 10px;
    outline: none;
}
.button_grp{
    display: flex;
    align-items: baseline;
    justify-content: space-between;
}

.disabled .select-btn {
    cursor: not-allowed;
    opacity: 0.5;
    z-index: -1;
    position: relative;
}
@media (max-width:991px) {
    .description {
        flex-direction: column;
    }

    .__input-box.amount input {
        width: 100%;
    }
}


@media (max-width:767px) {
    .header {
        justify-content: center;
    }

    .bill-segment h4,
    .invoice-segment h4 {
        text-align: center;
    }

    .bill-wrapper {
        justify-content: center;
    }

    .invoice-info {
        justify-content: center;
    }

    .bank_segment {
        justify-content: center !important;
    }

    .form_last {
        justify-content: center;
    }

    .description .textareaOuter {
        width: 100%;
    }
}

@media (max-width:575px) {
    .invoice-container {
        padding: 0;
    }
}

@media (max-width:450px) {
    .button_grp{
        flex-direction: column;
        align-items: center;
        margin-top: 25px;
    }
    .invoice-submit{
        margin-top: 15px;
    }
}

@media (max-width:375px) {
    .select-menu {
        width: 300px;
    }

    .textareaOuter {
        width: 300px;
    }

    .__input-box input {
        width: 300px;
    }

    .__input-box input.Phone_No {
        width: 190px;
    }
}
